| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Attributes | List of all members
_e_prefs Struct Reference

## Public Attributes
GList * | col_list
unsigned | num_cols
color_t | st_client_fg
color_t | st_client_bg
color_t | st_server_fg
color_t | st_server_bg
color_t | gui_filter_valid_fg
color_t | gui_filter_invalid_fg
color_t | gui_filter_deprecated_fg
color_t | gui_filter_valid_bg
color_t | gui_filter_invalid_bg
color_t | gui_filter_deprecated_bg
bool | restore_filter_after_following_stream
int | gui_toolbar_main_style
char * | gui_font_name
int | gui_color_scheme
color_t | gui_active_fg
color_t | gui_active_bg
int | gui_active_style
color_t | gui_inactive_fg
color_t | gui_inactive_bg
int | gui_inactive_style
color_t | gui_marked_fg
color_t | gui_marked_bg
color_t | gui_ignored_fg
color_t | gui_ignored_bg
char * | gui_colorized_fg
char * | gui_colorized_bg
bool | gui_geometry_save_position
bool | gui_geometry_save_size
bool | gui_geometry_save_maximized
unsigned | gui_recent_df_entries_max
unsigned | gui_recent_files_count_max
unsigned | gui_fileopen_style
char * | gui_fileopen_dir
unsigned | gui_fileopen_preview
char * | gui_tlskeylog_command
bool | gui_ask_unsaved
bool | gui_autocomplete_filter
bool | gui_find_wrap
char * | gui_window_title
char * | gui_prepend_window_title
char * | gui_start_title
version_info_e | gui_version_placement
unsigned | gui_max_export_objects
unsigned | gui_max_tree_items
unsigned | gui_max_tree_depth
bool | gui_welcome_page_show_recent
layout_type_e | gui_layout_type
layout_pane_content_e | gui_layout_content_1
layout_pane_content_e | gui_layout_content_2
layout_pane_content_e | gui_layout_content_3
splitter_layout_e | gui_packet_dialog_layout
char * | gui_interfaces_hide_types
bool | gui_interfaces_show_hidden
bool | gui_interfaces_remote_display
bool | gui_io_graph_automatic_update
bool | gui_io_graph_enable_legend
bool | gui_plot_automatic_update
bool | gui_plot_enable_legend
bool | gui_plot_enable_auto_scroll
bool | gui_packet_details_show_byteview
char * | capture_device
char * | capture_devices_linktypes
char * | capture_devices_descr
char * | capture_devices_hide
char * | capture_devices_monitor_mode
char * | capture_devices_buffersize
char * | capture_devices_snaplen
char * | capture_devices_pmode
char * | capture_devices_filter
bool | capture_prom_mode
bool | capture_monitor_mode
bool | capture_pcap_ng
bool | capture_real_time
unsigned | capture_update_interval
bool | enable_aggregation
GList * | aggregation_fields
int | aggregation_fields_num
bool | capture_no_interface_load
bool | capture_no_extcap
bool | capture_show_info
GList * | capture_columns
unsigned | tap_update_interval
bool | display_hidden_proto_items
bool | display_byte_fields_with_spaces
abs_time_format_e | display_abs_time_ascii
bool | enable_incomplete_dissectors_check
bool | incomplete_dissectors_check_debug
bool | strict_conversation_tracking_heuristics
int | conversation_deinterlacing_key
bool | ignore_dup_frames
unsigned | ignore_dup_frames_cache_entries
bool | filter_expressions_old
bool | cols_hide_new
bool | gui_update_enabled
software_update_channel_e | gui_update_channel
unsigned | gui_update_interval
unsigned | gui_debounce_timer
char * | saved_at_version
bool | gui_packet_list_separator
bool | gui_packet_header_column_definition
bool | gui_packet_list_hover_style
bool | gui_show_selected_packet
bool | gui_show_file_load_time
elide_mode_e | gui_packet_list_elide_mode
copy_format_e | gui_packet_list_copy_format_options_for_keyboard_shortcut
bool | gui_packet_list_copy_text_with_aligned_columns
bool | gui_packet_list_show_related
bool | gui_packet_list_show_minimap
bool | gui_packet_list_sortable
unsigned | gui_packet_list_cached_rows_max
gui_packet_list_multi_color_mode_e | gui_packet_list_multi_color_mode
unsigned | gui_packet_list_multi_color_shift_percent
bool | gui_packet_list_multi_color_details
gui_packet_list_multi_color_separator_e | gui_packet_list_multi_color_separator
unsigned | gui_decimal_places1
unsigned | gui_decimal_places2
unsigned | gui_decimal_places3
bool | gui_rtp_player_use_disk1
bool | gui_rtp_player_use_disk2
unsigned | flow_graph_max_export_items
bool | st_enable_burstinfo
bool | st_burst_showcount
unsigned | st_burst_resolution
unsigned | st_burst_windowlen
bool | st_sort_casesensitve
bool | st_sort_rng_fixorder
bool | st_sort_rng_nameonly
int | st_sort_defcolflag
bool | st_sort_defdescending
bool | st_sort_showfullname
int | st_format
bool | conv_machine_readable
bool | extcap_save_on_start

The documentation for this struct was generated from the following file:

- /builds/wireshark/wireshark/epan/prefs.h